Subject: RE: [Sip] under-the-wire comments for caller-prefs

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 20 Nov 2001 13:47:01 -0500

> -----Original Message-----
> From: Rohan Mahy [mailto:[email-masked]]
> Sent: Saturday, September 08, 2001 2:24 AM
> To: [email-masked]
> Subject: [Sip] under-the-wire comments for caller-prefs
> 
> 
> Hi,
> 
> I have a few quick nits on caller-prefs while I have a few 
> minutes of last 
> call left.  ;-)

Well, my poor turnaround has made this a tad more than a few minutes...

> 
> 1) Does the behavior of "cancel-feature" in Request 
> Disposition on page 12 
> depend on the resolution of bis open issue #122?

To save people some trouble, issue #122 is about whether or not a proxy
MUST/SHOULD/MAY cancel pending branaches to a 2xx. Bis-05 has this as a
MUST. There seemed to be rough consensus on this, so this open issue is, I
think, closed. We do need to add some words to bis to make sure that its
clear that this particular MUST could be overriden by some extension. This
doesn't make bis dependent on that extension, it merely clarifies that its a
MUST unless the client says otherwise.

SO, that does mean the text in caller preferences should probably change to
reflect that the cancel=yes is redundant. I made that change.

> 
> 2) on page 2  proposed rewording: "a script written in [CPL]" 
>  -> "some 
> type of scripting language such as CPL"

Fixed.

> 
> 3) need a Full Copyright Statement at the end of the draft

OK, thanks.

> 
> 4) typo bottom of page 3  "prefernces" -> "preferences"

Fixed.

Thanks for your comments,
Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip